#ifndef _ORT_PROTOTYPE_H_
#define _ORT_PROTOTYPE_H_

#ifdef __cplusplus
extern "C" {
#endif


extern void        calcRx2d(double *[2], double *[2]);
extern int         collide(const double [], const double [], triangle_t *, double *, int);
extern double      cputime(void);
extern int         diffract(const double [], const double [], const double [], const double [], double [][3]);
extern void        eantenna(antenna_t *, double, double, d_complex_t *, d_complex_t *);
extern d_complex_t erxpath(path_t *);
extern double      fresnel_integral(double);
extern void        fresnel_reflection(d_complex_t, double, d_complex_t []);
extern double      gain(antenna_t *, int);
extern void        getinteger(double, int *, int *, int);
extern void        getpathcolor(int, unsigned char []);
extern void        getscale(double, scale_t, double *, double *, int *);
extern void        imagepoint(const double [], triangle_t *, double []);
extern int         input_data(FILE *);
extern int         intersect(const double [], const double [], triangle_t *, double [], int, int);
extern int         launching(int, int *, path_t *);
extern int         los(const double [], const double [], int, int);
extern void        monitor1(FILE *);
extern void        monitor2(FILE *);
extern void        monitor3(FILE *);
extern void        monitor4(FILE *);
extern void        monitor5(FILE *, const char [], const char [], const char [], const char []);
extern void        monitor6(FILE *, const double []);
extern int         newpath(int, double (*)[3], int, path_t *);
extern void        outputlog(const char [], const char []);
extern void        plot2dRx0d(void);
extern void        plot2dRx1d(int);
extern void        plot2dRx2d(void);
extern void        plot3dPath(int);
extern void        plot3dRx1d(void);
extern void        plot3dRx2d(void);
extern void        plot3d_data(int);
extern void        plot3d_geom(int, int);
extern void        plot3d_tx(void);
extern void        polar2xyz(double, double, double, double []);
extern void        polar_vector(double, double, double [], double [], double []);
extern void        post2d(const char []);
extern void        post3d(const char []);
extern int         post_data(FILE *);
extern double      rantenna(antenna_t *, double, double);
extern void        rdt(path_t *, int, d_complex_t []);
extern void        readout(FILE *);
extern void        read_antenna(const char [], antenna_t *);
extern void        reftrans(d_complex_t, double, double, double, d_complex_t [], d_complex_t []);
extern void        rxstat(int, path_t *, d_complex_t *, double [], double []);
extern void        setup(void);
extern void        setup_launching(void);
extern void        solve(void);
extern int         tokenize(char *, const char [], char *[], size_t);
extern int         trace_d(int, int, int *, path_t *);
extern int         trace_r(int, int, int *, path_t *);
extern int         trace_s(int, int, int *, path_t *);
extern int         trace_t(int, int, int *, path_t *);
extern void        warning(const char [], int);
extern void        writeout(FILE *);
extern void        xyz2polar(const double [], double *, double *, double *);

#ifdef __cplusplus
}
#endif

#endif
